# HG changeset patch
# User Sherief N. Farouk
# Date 1257287423 18000
# Node ID 98365abf216b40485d9d706e60c9c0662f7a1134
# Parent  e8e87bb8ca047bb54b10ba64e4fbdbef2e8fdc83
Fixed potential over-allocation / (fatal) under-allocation on platforms where sizeof(int) != 4.

diff -r e8e87bb8ca04 -r 98365abf216b libspeex/resample.c
--- a/libspeex/resample.c	Sun Nov 01 23:35:18 2009 -0500
+++ b/libspeex/resample.c	Tue Nov 03 17:30:23 2009 -0500
@@ -767,9 +767,9 @@
    st->samp_frac_num = NULL;
    
    /* Per channel data */
-   st->last_sample = (spx_int32_t*)speex_alloc(nb_channels*sizeof(int));
-   st->magic_samples = (spx_uint32_t*)speex_alloc(nb_channels*sizeof(int));
-   st->samp_frac_num = (spx_uint32_t*)speex_alloc(nb_channels*sizeof(int));
+   st->last_sample = (spx_int32_t*)speex_alloc(nb_channels*sizeof(spx_int32_t));
+   st->magic_samples = (spx_uint32_t*)speex_alloc(nb_channels*sizeof(spx_uint32_t));
+   st->samp_frac_num = (spx_uint32_t*)speex_alloc(nb_channels*sizeof(spx_uint32_t));
    /* If any of those allocations fail, destroy the partially-initialized object and return NULL. */
    if((st->last_sample == NULL) || (st->magic_samples == NULL) || (st->samp_frac_num == NULL))
    {
